Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

From: "Susan Hares" <[email-masked]>
Date: Thu, 8 Aug 2019 15:31:20 -0400

This begins a 2 week adoption call for draft-ketant-idr-rfc7752bis-01.txt
[8/8 to 8/22/2019] 

In your comments please indicate "support" or "no support".   

The chair and AD feel that a revision to RFC7752 is needed 

to specify additional error handling.  Please consider 

if this draft is a good place to start for this revision. 

Cheerily, Susan Hares

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 8 Aug 2019 20:11:39 +0000

Hi Sue,
I agree that a revision is needed. As the RFC 7752 routing directorate reviewer, I can say there was also confusion about the encodings that was never satisfactorily cleaned up. I support adoption of the draft.
Thanks,
Acee

From: Idr <[email-masked]> on behalf of Susan Hares <[email-masked]>
Date: Thursday, August 8, 2019 at 3:32 PM
To: IDR List <[email-masked]>
Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

This begins a 2 week adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22/2019]

In your comments please indicate “support” or “no support”.

Cheerily, Susan Hares

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 8 Aug 2019 17:36:42 -0700

Support the adoption.
+1 Acee

Cheers,
Jeff
On Aug 8, 2019, 1:12 PM -0700, Acee Lindem (acee) <[email-masked]>, wrote:
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 9 Aug 2019 01:44:25 +0000

Hi Sue/All,

Support the adoption as a co-author.

This bis draft is to address the various comments raised during shepherd and AD review of various BGP-LS extensions as also the discussions on the IDR mailing list. We've also try to collate and update on issues and ambiguities from implementation and deployment experience with BGP-LS.

Thanks,
Ketan

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 09 August 2019 01:01
To: 'idr wg' <[email-masked]>
Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Cheerily, Susan Hares

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Fri, 9 Aug 2019 02:43:35 +0000

Hi,

In general I support the adoption of this document. It helps to clarify some confusions in RFC7752, and to solve some issues we realized during the progress of subsequent BGP-LS extensions.

And here are the comments I raised on the mic during IDR session in Montreal:

In section 4.2.2 of this -bis document, there are some changes to the encoding rules of link local/remote identifiers in the Link descriptors.

"    If interface and neighbor addresses, either IPv4 or IPv6, are
      present, then the IP address TLVs MUST be included and the Link
      Local/Remote Identifiers TLV MUST NOT be included in the Link
      Descriptor.  The Link Local/Remote Identifiers TLV MAY be included
      in the link attribute when available.

      If interface and neighbor addresses are not present and the link
      local/remote identifiers are present, then the Link Local/Remote
      Identifiers TLV MUST be included in the Link Descriptor."

While in draft-ietf-idr-bgpls-segment-routing-epe-19, section 4.2, it says:

" o  Link Descriptors MUST include the following TLV, as defined in
      [RFC7752]:

      *  Link Local/Remote Identifiers (TLV 258) contains the 4-octet
         Link Local Identifier followed by the 4-octet Link Remote
         Identifier.  The value 0 is used by default when the link
         remote identifier is unknown.

   o  Additional Link Descriptors TLVs, as defined in [RFC7752], MAY
      also be included to describe the addresses corresponding to the
      link between the BGP routers:

      *  IPv4 Interface Address (Sub-TLV 259) contains the address of
         the local interface through which the BGP session is
         established."

Thus it seems the above text in -7752bis is somewhat inconsistent with the bgp-ls-epe draft. Could this be considered in next revision of the bis draft, or the bgp-ls-epe draft? Thanks.

Best regards,
Jie

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Friday, August 09, 2019 3:31 AM
To: 'idr wg' <[email-masked]>
Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Cheerily, Susan Hares

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 9 Aug 2019 02:57:12 +0000

Hi Jie,

Thanks for your review and comments.

Let us note that RFC7752 was about pushing IGP link-state via BGP-LS and as such the link descriptors that it mentions are applicable in the scenario where the protocol is OSPF or IS-IS. The BGP EPE draft introduced the BGP protocol and specified the link descriptors for BGP peering links use case. As such, RFC7752 and BGP EPE are not in conflict or contradiction with each other.

This bis draft merely clarifies RFC7752 and is therefore scoped only for the IGP link-state propagation via BGP-LS.

Thanks,
Ketan

From: Idr <[email-masked]> On Behalf Of Dongjie (Jimmy)
Sent: 09 August 2019 08:14
To: Susan Hares <[email-masked]>; 'idr wg' <[email-masked]>
Subject: Re: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi,

Best regards,
Jie

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Friday, August 09, 2019 3:31 AM
To: 'idr wg' <[email-masked]<mailto:[email-masked]>>
Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Cheerily, Susan Hares

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Fri, 9 Aug 2019 03:24:05 +0000

Hi Ketan,

Thanks for your prompt feedback.

In my understanding, RFC7752 defines a general mechanism to distribute link-state and TE information to the consumer, IGP is just one source of that information. Also please note that the text quoted from bgp-ls-epe draft references RFC7752.

That said, it may be helpful to add some text in rfc7752bis to indicate that the rules about node/link descriptors are applicable to the protocol-IDs defined in this document, the rules for other protocol-IDs will be defined in documents which introduce the protocol-ID.

Best regards,
Jie

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Friday, August 09, 2019 10:57 AM
To: Dongjie (Jimmy) <[email-masked]>; Susan Hares <[email-masked]>; 'idr wg' <[email-masked]>
Subject: RE: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Jie,

Thanks,
Ketan

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Dongjie (Jimmy)
Sent: 09 August 2019 08:14
To: Susan Hares <[email-masked]<mailto:[email-masked]>>; 'idr wg' <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi,

Best regards,
Jie

Cheerily, Susan Hares

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 9 Aug 2019 04:05:13 +0000

Hi Jie,

Agree and I will put some text to this effect in the next update of the bis draft.

Thanks,
Ketan

From: Dongjie (Jimmy) <[email-masked]>
Sent: 09 August 2019 08:54
To: Ketan Talaulikar (ketant) <[email-masked]>; Susan Hares <[email-masked]>; 'idr wg' <[email-masked]>
Subject: RE: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Ketan,

Best regards,
Jie

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Friday, August 09, 2019 10:57 AM
To: Dongjie (Jimmy) <[email-masked]<mailto:[email-masked]>>; Susan Hares <[email-masked]<mailto:[email-masked]>>; 'idr wg' <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Jie,

Thanks,
Ketan

Hi,

Best regards,
Jie

Cheerily, Susan Hares

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Fri, 9 Aug 2019 06:23:18 +0000

Hi Ketan,

Thanks for considering my suggestion.

Best regards,
Jie

From: Ketan Talaulikar (ketant) [mailto:[email-masked]]
Sent: Friday, August 09, 2019 12:05 PM
To: Dongjie (Jimmy) <[email-masked]>; Susan Hares <[email-masked]>; 'idr wg' <[email-masked]>
Subject: RE: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Jie,

Thanks,
Ketan

From: Dongjie (Jimmy) <[email-masked]<mailto:[email-masked]>>
Sent: 09 August 2019 08:54
To: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Susan Hares <[email-masked]<mailto:[email-masked]>>; 'idr wg' <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Ketan,

Best regards,
Jie

Hi Jie,

Thanks,
Ketan

Hi,

Best regards,
Jie

Cheerily, Susan Hares

---

From: "Stefano Previdi (IETF)" <[email-masked]>
Date: Fri, 9 Aug 2019 21:17:27 +0200

Support as co-author.

Thanks.
s.

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 15 Aug 2019 15:56:28 +0800

Support the adoption.
As pointed out at the appendix-A
<https://tools.ietf.org/html/draft-ketant-idr-rfc7752bis-01#appendix-A> , I
think this document has made amounts clarification and update to the
implementation of BGP-LS protocol.
 
Some comments are the bellowing:
1. Is it possible to converge this document with Adrian’s draft
<https://datatracker.ietf.org/doc/draft-farrel-idr-bgp-ls-registry/> ? Both
are trying to update RFC7752.
2. Draft [draft-ietf-idr-bgpls-inter-as-topology-ext]
<https://datatracker.ietf.org/doc/draft-ietf-idr-bgpls-inter-as-topology-ext
/>  is to solve the reports of inter-AS links. Is it more convenient for the
reader to get such information via referencing it at section 4.6
<https://tools.ietf.org/html/draft-ketant-idr-rfc7752bis-01#section-4.6> ?

Best Regards.

Aijun Wang

China Telecom

发件人: [email-masked] [mailto:[email-masked]] 代表 Susan Hares
发送时间: 2019年8月9日 3:31
收件人: 'idr wg'
主题: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to
8/22]

Cheerily, Susan Hares

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 16 Aug 2019 13:37:27 +0100

Hi Sue,

I'm a co-author on this draft.

I agree that an update to 7752 is needed. Sort of regret that we didn't get
this right first time. On the other hand, turning the handle and getting an
RFC out was the right thing to do 3.5 years ago, and revising our work is a
good demonstration that it is implemented and relevant.

So yes, I support adoption and hope we can spend as long as it takes getting
this polished.

Thanks,

Adrian

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 08 August 2019 20:31
To: 'idr wg' <[email-masked]>
Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to
8/22]

Cheerily, Susan Hares

---

From: Balaji Rajagopalan <[email-masked]>
Date: Mon, 19 Aug 2019 17:02:02 +0000

Hi Sue & Authors,

As an implementor of RFC 7752, I support adoption of this draft as a WG document.

I have a comment on section 4.7, though.

Section 4.7 mandates withdrawal of link-state objects advertised by unreachable nodes. I’d suggest making this an optional behaviour of the originator. Originator not presuming consumer’s disinterest in certain entries would permit a wider range of applications.

If there is agreement that section 4.7 can be optional:

I don’t believe that the contents of section 4.7 merit a dedicated section. The last paragraph of section 1, reproduced below, offers plenty of leeway for an originator to choose what gets advertised. If this text is thought to be inadequate, an additional line or two in section 1 would suffice, IMHO.

“
A BGP speaker may apply configurable policy to the information that
   it distributes.  Thus, it may distribute the real physical topology
   from the LSDB or the TED.  Alternatively, it may create an abstracted
   topology, where virtual, aggregated nodes are connected by virtual
   paths.  Aggregated nodes can be created, for example, out of multiple
   routers in a Point of Presence (POP).  Abstracted topology can also
   be a mix of physical and virtual nodes and physical and virtual
   links.  Furthermore, the BGP speaker can apply policy to determine
   when information is updated to the consumer so that there is a
   reduction of information flow from the network to the consumers.
   Mechanisms through which topologies can be aggregated or virtualized
   are outside the scope of this document
“

--
Balaji Rajagopalan

From: Idr <[email-masked]> on behalf of Adrian Farrel <[email-masked]>
Organisation: Old Dog Consulting
Reply to: "[email-masked]" <[email-masked]>
Date: Friday, 16 August 2019 at 6:07 PM
To: 'Susan Hares' <[email-masked]>
Cc: 'idr wg' <[email-masked]>
Subject: Re: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Sue,

I’m a co-author on this draft.

I agree that an update to 7752 is needed. Sort of regret that we didn’t get this right first time. On the other hand, turning the handle and getting an RFC out was the right thing to do 3.5 years ago, and revising our work is a good demonstration that it is implemented and relevant.

So yes, I support adoption and hope we can spend as long as it takes getting this polished.

Thanks,
Adrian

Cheerily, Susan Hares

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 20 Aug 2019 10:44:11 +0000

Hi Aijun,

Thanks for your review and please check inline for responses.

From: Idr <[email-masked]> On Behalf Of Aijun Wang
Sent: 15 August 2019 13:26
To: 'Susan Hares' <[email-masked]>; 'idr wg' <[email-masked]>
Subject: [Idr] 答复: Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Support the adoption.

As pointed out at the appendix-A<https://tools.ietf.org/html/draft-ketant-idr-rfc7752bis-01#appendix-A>, I think this document has made amounts clarification and update to the implementation of BGP-LS protocol.

1. Is it possible to converge this document with Adrian’s draft<https://datatracker.ietf.org/doc/draft-farrel-idr-bgp-ls-registry/>? Both are trying to update RFC7752.

[KT]  We discussed this on the thread and the conclusion was to progress Adrian’s draft faster to simplify the allocation while this RFC7752 bis draft will likely take longer time and once published, it will also obsolete Adrian’s RFC besides RFC7752.

2. Draft [draft-ietf-idr-bgpls-inter-as-topology-ext]<https://datatracker.ietf.org/doc/draft-ietf-idr-bgpls-inter-as-topology-ext/> is to solve the reports of inter-AS links. Is it more convenient for the reader to get such information via referencing it at section 4.6<https://tools.ietf.org/html/draft-ketant-idr-rfc7752bis-01#section-4.6>?

[KT] Agree and I think it helps to put this reference.

Thanks,

Ketan

Best Regards.

Aijun Wang
China Telecom

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Susan Hares
发送时间: 2019年8月9日 3:31
收件人: 'idr wg'
主题: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Cheerily, Susan Hares

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 20 Aug 2019 11:34:01 +0000

Hi Balaji,

Thanks for your review and your comments in improving this document.

The fact that apart from a few folks who have been involved in the development and deployment of BGP-LS, this problem was not evident to most people (until they actually hit those issues) warrants the inclusion of the text in the bis draft. I don’t  think the text you propose describes this problem scenario and it’s solution.

During the IETF at Montreal we spent a lot of time on this aspect and even presented the two options for handling the problem identified in this section. There was a lot of support for keeping things simple as described in the current version of the bis draft.

That said, we can poll again on the WG alias post adoption to take further inputs/suggestions from members on this aspect.

Thanks,
Ketan

From: Idr <[email-masked]> On Behalf Of Balaji Rajagopalan
Sent: 19 August 2019 22:32
To: 'Susan Hares' <[email-masked]>
Cc: 'idr wg' <[email-masked]>
Subject: Re: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Sue & Authors,

“

--
Balaji Rajagopalan

From: Idr <[email-masked]<mailto:[email-masked]>> on behalf of Adrian Farrel <[email-masked]<mailto:[email-masked]>>
Organisation: Old Dog Consulting
Reply to: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Friday, 16 August 2019 at 6:07 PM
To: 'Susan Hares' <[email-masked]<mailto:[email-masked]>>
Cc: 'idr wg' <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Hi Sue,

Thanks,
Adrian

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 08 August 2019 20:31
To: 'idr wg' <[email-masked]<mailto:[email-masked]>>
Subject: [Idr] Adoption call for draft-ketant-idr-rfc7752bis-01.txt [8/8 to 8/22]

Cheerily, Susan Hares

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 23 Aug 2019 11:17:40 -0400

Sue,

> In your comments please indicate "support" or "no support".   

I support the adoption of this draft.

-- Jeff